We use cookies to provide you with a better experience. If you continue to use this site, we'll assume you're happy with this. Alternatively, click here to find out how to manage these cookies

hide cookie message
79,704 News Articles

Update Ruby now before it goes off the Rails

Attackers are using critical vulnerabilities in Ruby on Rails to steal data and compromise websites.

Do you use Ruby on Rails? If so, it's time to update. Now.

Ruby on Rails is an open source Web application framework built to use with the Ruby programming language. Ruby on Rails--or just Rails--gives Web developers the ability to gather information from Web servers, or query a database. Rails is used across an estimated quarter of a million websites ranging from ecommerce to cloud storage.

Rails contains critical vulnerabilities that are being targeted by attackers. The mass assignments vulnerability is the Rails equivalent of SQL injection, and exposes Rails to exploits.

Lamar Bailey, director of security research and development for nCircle, explained, "All unpatched versions of Ruby on Rails contain critical vulnerabilities involving parameter parsing and attackers can use these bugs to execute code or launch SQL injection attacks."

Bailey also pointed out that popular tools have automated the exploits so its even easier for attackers. The exploits are circulating in the wild, and there are reports of hijacked Web servers. A successful exploit can allow attackers to take over a website, or steal value data from the underlying databases.

The issue affects any server where the XML parser is active--which it is by default. A possible workaround is to simply disable the XML parser, but if your Rails applications need to process XML input you're going to have a problem. There is a Rails security advisory, which dives deeper and explains how to disable the YAML and Symbol support that are the crux of the problem in the XML parser.

A better solution is to update Ruby. New versions of Ruby are available which patch these vulnerabilities. The new releases (3.2.11, 3.1.10, 3.0.19, and 2.3.15) contain two extremely critical security fixes. Security experts urge IT admins to make updating Ruby a top priority.

Bailey says, "Update Ruby immediately, if not sooner."


IDG UK Sites

Samsung Galaxy Tab S 8.4 review: The best iPad mini and Nexus 7 rival tablet around

IDG UK Sites

Which Mac? Complete Apple Mac buyers guide for 2014

IDG UK Sites

Mobile email is powerful and useful - but also hopelessly intrusive

IDG UK Sites

Samsung lights up London skyline with Midnight Rainbow